package vishnu.datablock;

public class Node
{
    Node next;
    int value;
    
    public Node(int i, Node n)
    {
        value = i;
        next = n;
    }
    
    public Node(int i)
    {
        value = i;
        next = null;
    }
    
    public Node push(Node n)
	{
        if (next != null) next.push(n);
        else next = n;
        return this;
    }

	public Node pop()
	{
		return next;
	}
	
	public int getValue()
	{
	    return value;
	}
  
}
